ScreenMeetTest logoScreenMeetTest documentationAPI referencescreenmeettest
API reference
POST/oauth/token

Generate OAuth token

Generate an OAuth token for use with the ScreenMeet API using an ApiKey's client_id and client_secret. - grant_type should be 'client_credentials' - client_id and client_secret are required See [How to authenticate using an API key](docs/How-to-authenticate-using-an-API-key.md) for more information.

Authorization

bearerAuth http (bearer)

Request body

application/json
object
client_idstring

The client id (key field) of the ApiKey

string

The client id (key field) of the ApiKey

grant_typestring

The grant type for the request. Must be client_credentials

string

The grant type for the request. Must be client_credentials

client_secretstring

The secret of the ApiKey

string

The secret of the ApiKey

application/x-www-form-urlencoded
object
client_idstring

The client id (key field) of the ApiKey

string

The client id (key field) of the ApiKey

grant_typestring

The grant type for the request. Must be client_credentials

string

The grant type for the request. Must be client_credentials

client_secretstring

The secret of the ApiKey

string

The secret of the ApiKey

Responses

200

OK

application/json
object
scopestring

string
expires_innumber

number
token_typestring

string
access_tokenstring

string
{
  "default": {
    "value": {
      "scope": "role:group_admin",
      "expires_in": 3600,
      "token_type": "Bearer",
      "access_token": "xnJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6123vaG4gRG9lIiw819F0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"
    }
  }
}
400

Bad Request

application/json
object
errorstring

The error code

string

The error code

error_descriptionstring

A human-readable description of the error

string

A human-readable description of the error

{
  "Invalid Client": {
    "value": {
      "error": "invalid_client",
      "error_description": "The client credentials are invalid"
    }
  },
  "Invalid Request": {
    "value": {
      "error": "invalid_request",
      "error_description": "Invalid request body"
    }
  },
  "Unsupported Grant Type": {
    "value": {
      "error": "unsupported_grant_type",
      "error_description": "The grant type is not supported"
    }
  }
}